/* Hero Section */

.hero-content {
  min-height: calc(100vh + 90px); /* resta aprox navbar */
  width: 100%;

  background-image:
    linear-gradient(
      to bottom,
      rgba(5, 132, 79, 0.479) 0%,
      rgba(18, 18, 18, 0.671) 100%
    ),
    url("/images/bg-bakend.jpg");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  display: block;
  justify-content: center;
  align-items: center;

  padding: 120px 20px 60px;
  text-align: center;
}

.hero h1 {
  font-size: clamp(3rem, 7vw, 5rem);
  margin-bottom: 20px;
}

.hero p {
  font-size: clamp(1.1rem, 2vw, 1.5rem);
}
.contacto-seccion {
  width: 100%;
  max-width: 900px;
  margin: 30px auto 0;
  padding: 20px;
}

.contacto-texto {
  color: #ffffff;
  font-size: 1.2rem !important;
  margin-bottom: 20px;
  text-align: center;
  background-color: #058450;
  padding: 10px;
  border-radius: 50px;
}

.contactos-box {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

.contacto-card {
  width: 250px;
  min-height: 90px;
  background: #121212;
  border: 2px solid transparent;
  border-radius: 18px;
  padding: 18px 20px;
  display: flex;
  align-items: center;
  gap: 15px;
  text-decoration: none;
  color: #ffffff;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
  transition:
    transform 0.35s ease,
    box-shadow 0.35s ease,
    border-color 0.35s ease;
  animation: subirSuave 1s ease;
}

.contacto-card:hover {
  transform: translateY(-8px) scale(1.03);
  box-shadow: 0 15px 30px rgba(52, 152, 219, 0.25);
}

.contacto-card .icono {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background: #ffffff;
  color: #121212;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  font-size: 1.2rem;
  flex-shrink: 0;
  transition:
    transform 0.35s ease,
    background 0.35s ease,
    color 0.35s ease;
}

.contacto-card:hover .icono {
  transform: rotate(8deg) scale(1.1);
}

.contacto-card h3 {
  margin: 0;
  font-size: 1.1rem;
}

.contacto-card p {
  margin: 4px 0 0;
  font-size: 0.92rem;
  color: #d9d9d9;
}

.github:hover {
  border-color: #3498db;
}

.linkedin:hover {
  border-color: #058450;
}

.correo:hover {
  border-color: #ffffff;
}

.github:hover .icono {
  background: #3498db;
  color: #ffffff;
}

.linkedin:hover .icono {
  background: #058450;
  color: #ffffff;
}

.correo:hover .icono {
  background: #ffffff;
  color: #121212;
}

@keyframes subirSuave {
  from {
    opacity: 0;
    transform: translateY(25px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* Responsive */
@media (max-width: 768px) {
  .contactos-box {
    flex-direction: column;
    align-items: center;
  }

  .contacto-card {
    width: 100%;
    max-width: 330px;
  }
}
